Summary: NFS server daemons
Name: nfs-server
Version: 2.2beta40
Release: 2
Group: Networking/Daemons
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.mathematik.th-darmstadt.de/pub/linux/okir/nfs-server-%{version}.tar.gz
Source1: nfs.init
Source2: exportfs
Patch0:  nfs-server-2.2beta36-glibc.patch
Patch1:  nfs-server-2.2beta36-redhat.patch
Patch2:  nfs-server-2.2beta37-sigpwr.patch
Requires: portmap
Buildroot: /var/tmp/%{name}-root

%description
The NFS and mount daemons are used to create an NFS server which
can export filesystems to other machines.  This package is not
needed to mount NFS filesystems -- that functionality is already
in the Linux kernel.


%prep
%setup -q
%patch0 -p1 -b .glibc
%patch1 -p1 -b .redhat
%patch2 -p1 -b .sigpwr


%build
./BUILD --batch \
	--devtab=no \
	--multi=yes \
	--ugidd=no \
	--nis=yes \
	--exports-uid=0 --exports-gid=0 \
	--hosts-access=yes --libwrap-directory=/usr/lib \
	--log-mounts=yes

# This is to fix a bug in Makefile when DEVTAB_FILE = ""
cp Makefile Makefile.new
perl -pi -e 's|\\\n||' Makefile.new
fgrep -v DEVTAB_FILE Makefile.new > Makefile

make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s


%install
rm -rf $RPM_BUILD_ROOT
make install install_prefix=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
touch $RPM_BUILD_ROOT/etc/exports
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/usr/sbin/exportfs


%post
/sbin/chkconfig --add nfs

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del nfs
fi


%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog HALL_OF_FAME INSTALL NEWS README* TODO
%config %attr(600,root,root) /etc/exports
%config /etc/rc.d/init.d/nfs
/usr/man/man*/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT
